All Frameworks  Object Hierarchy  This Framework  Indexes   

HybridShapeSphere (Object)

Represents the hybrid shape sphere feature object.
Role: To access the data of the hybrid shape sphere explicit feature object.
The Sphere feature : a Sphere is made up of 4 angles parameters.
See also:
HybridShapeFactory

Property Index

Axis
Returns or sets axis on the object.
BeginMeridianAngle
Returns BeginMeridianAngle on the object.
BeginParallelAngle
Returns BeginParallelAngle on the object.
Center
Returns or sets the sphere center.
EndMeridianAngle
Returns EndMeridianAngle on the object.
EndParallelAngle
Returns EndParallelAngle on the object.
Limitation
Returns whether the sphere is created as a whole sphere or not.
Radius
Role: Get sphere radius.

Method Index

SetBeginMeridianAngle
Sets BeginMeridianAngle on the object.
SetBeginParallelAngle
Sets BeginParallelAngle on the object.
SetEndMeridianAngle
Sets EndMeridianAngle on the object.
SetEndParallelAngle
Sets EndParallelAngle on the object.
SetRadius
Sets Radius on the object.

Properties


o Property Axis() As
Returns or sets axis on the object.
Parameters:
oDir
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
See also:
HybridShapeFactory
o Property BeginMeridianAngle() As (Read Only)
Returns BeginMeridianAngle on the object.
Parameters:
oAngle
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
See also:
HybridShapeFactory
o Property BeginParallelAngle() As (Read Only)
Returns BeginParallelAngle on the object.
Parameters:
oAngle
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
See also:
HybridShapeFactory
o Property Center() As
Returns or sets the sphere center.
Sub-element(s) supported (see
Boundary object): Vertex.
Example:
This example retrieves in HybShpSphereCenter the center of the HybShpSphere hybrid shape sphere.
 Dim HybShpSphereCenter As Reference
 HybShpSphereCenter = HybShpSphere.Center
 
o Property EndMeridianAngle() As (Read Only)
Returns EndMeridianAngle on the object.
Parameters:
oAngle
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
See also:
HybridShapeFactory
o Property EndParallelAngle() As (Read Only)
Returns EndParallelAngle on the object.
Parameters:
oAngle
return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
See also:
HybridShapeFactory
o Property Limitation( iLimitationType)
Returns whether the sphere is created as a whole sphere or not.
Legal values: 0 for a sphere with angles and 1 for a whole sphere.
Example:
o Property Radius() As (Read Only)
Role: Get sphere radius.
Parameters:
oRadius
Sphere radius return value for CATScript applications, with (IDLRETVAL) function type
See also:
Length
See also:
HybridShapeFactory

Methods


o Sub SetBeginMeridianAngle( iAngle)
Sets BeginMeridianAngle on the object.
Parameters:
iAngle
See also:
Angle
See also:
HybridShapeFactory
o Sub SetBeginParallelAngle( iAngle)
Sets BeginParallelAngle on the object.
Parameters:
iAngle
See also:
Angle
See also:
HybridShapeFactory
o Sub SetEndMeridianAngle( iAngle)
Sets EndMeridianAngle on the object.
Parameters:
iAngle
See also:
Angle
See also:
HybridShapeFactory
o Sub SetEndParallelAngle( iAngle)
Sets EndParallelAngle on the object.
Parameters:
iAngle
See also:
Angle
See also:
HybridShapeFactory
o Sub SetRadius( iRadius)
Sets Radius on the object.
Parameters:
iAngle
See also:
Angle
See also:
HybridShapeFactory

Copyright © 2003, Dassault Systèmes. All rights reserved.